Skip to main content
GET
/
v1
/
wallets
/
{walletId}
/
crypto-deposit-addresses
List crypto deposit addresses
curl --request GET \
  --url https://api.ledger.so/v1/wallets/{walletId}/crypto-deposit-addresses \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": [
    {
      "id": "<string>",
      "walletId": "<string>",
      "customerId": "<string>",
      "chain": "<string>",
      "currency": "<string>",
      "address": "<string>",
      "status": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Pass your API key as a Bearer token: Authorization: Bearer ld_live_...

Path Parameters

walletId
string
required

The wallet ID

Response

Deposit address list

ok
enum<boolean>
required
Available options:
true
data
object[]
required